\begin{tikzpicture}
  %graph
  \node[draw,fill=black,circle,inner sep=1pt](a) at (0,0) {};
  \node[xshift=-.2cm,yshift=0cm] at (a) {\scriptsize $a$}; 
  \node[draw,fill=black,circle,inner sep=1pt](b) at (1,0.8) {};
  \node[xshift=0cm,yshift=0.2cm] at (b) {\scriptsize $b$}; 
  \node[draw,fill=black,circle,inner sep=1pt](c) at (1,-.8) {};
  \node[xshift=0cm,yshift=-0.2cm] at (c) {\scriptsize $c$};
  \node[draw,fill=black,circle,inner sep=1pt](d) at (2,-0) {};
  \node[xshift=0.2cm,yshift=0cm] at (d) {\scriptsize $d$}; 

  % edges 
  \draw (a)--(b);
  \draw (a)--(c);
  \draw (b)--(c);
  \draw (c)--(d); 

  % SoC M
  \vtwo(5,0.2,a1,a2); 
  \hthree(6.5,1,b1,b2,b3);
  \htwo(6.5,-1,c1,c2);
  \vthree(8,.3,d1,d2,d3);

  % edge ab
  \draw (a1)--(b1);
  \draw[black!40] (a1)--(b3);
  \draw (a2)--(b1);\draw (a2)--(b2);
  % edge ac
  \draw(a1)--(c2);
  \draw (a2)--(c1);
  % edge bc
  \draw (b1)--(c1);
  \draw (b3)--(c1);\draw (b3)--(c2);
  % edge cd
  \draw (c1)--(d2);\draw (c1)--(d3);
  \draw (c2)--(d1);
\end{tikzpicture}